import { Feature, FeatureCollection, Geometry, LineString, MultiLineString, Point, Polygon } from "geojson";
import { GeofenceGeometry, LegGeometry, PlaceGeometry } from "@aws-sdk/client-location";
/**
 * Converts an array of GeoJSON Features to a FeatureCollection.
 *
 * @param features An array of GeoJSON Features.
 * @returns A GeoJSON FeatureCollection containing provided Features.
 */
export declare function toFeatureCollection<T extends Point | MultiLineString | Polygon>(features: Feature<T>[]): FeatureCollection<T>;
export declare function emptyFeatureCollection<T extends Geometry>(): FeatureCollection<T>;
export declare function convertGeometryToFeature(geometry?: GeofenceGeometry | LegGeometry | PlaceGeometry, properties?: any): Feature<Point | Polygon | LineString> | undefined;
